com.mockobjects.servlet

## Class MockPageContext

- java.lang.Object
- - PageContext
  - - com.mockobjects.servlet.MockPageContext

-     public class MockPageContext
      extends PageContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockPageContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `findAttribute(java.lang.String s)`
    `void` | `forward(java.lang.String s)`
    `java.lang.Object` | `getAttribute(java.lang.String s)`
    `java.lang.Object` | `getAttribute(java.lang.String s, int i)`
    `java.util.Enumeration` | `getAttributeNamesInScope(int i)`
    `int` | `getAttributesScope(java.lang.String s)`
    `java.lang.Exception` | `getException()`
    `JspWriter` | `getOut()`
    `java.lang.Object` | `getPage()`
    `ServletRequest` | `getRequest()`
    `ServletResponse` | `getResponse()`
    `ServletConfig` | `getServletConfig()`
    `ServletContext` | `getServletContext()`
    `HttpSession` | `getSession()`
    `void` | `handlePageException(java.lang.Exception e)`
    `void` | `handlePageException(java.lang.Throwable t)`
    `void` | `include(java.lang.String s)`
    `void` | `initialize(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b2)`
    `void` | `release()`
    `void` | `removeAttribute(java.lang.String s)`
    `void` | `removeAttribute(java.lang.String s, int i)`
    `void` | `setAttribute(java.lang.String s, java.lang.Object o)`
    `void` | `setAttribute(java.lang.String s, java.lang.Object o, int i)`
    `void` | `setJspWriter(JspWriter jspWriter)`
    `void` | `setRequest(ServletRequest servletRequest)`
    `void` | `setServletContext(ServletContext servletContext)`
    `void` | `setSession(HttpSession httpSession)`
    `void` | `verify()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockPageContext

          public MockPageContext()

  - ### Method Detail

    - #### release

          public void release()

    - #### getOut

          public JspWriter getOut()

    - #### setJspWriter

          public void setJspWriter(JspWriter jspWriter)

    - #### handlePageException

          public void handlePageException(java.lang.Exception e)

    - #### getServletContext

          public ServletContext getServletContext()

    - #### setServletContext

          public void setServletContext(ServletContext servletContext)

    - #### getAttributesScope

          public int getAttributesScope(java.lang.String s)

    - #### include

          public void include(java.lang.String s)

    - #### removeAttribute

          public void removeAttribute(java.lang.String s,
                                      int i)

    - #### getAttributeNamesInScope

          public java.util.Enumeration getAttributeNamesInScope(int i)

    - #### forward

          public void forward(java.lang.String s)

    - #### getPage

          public java.lang.Object getPage()

    - #### handlePageException

          public void handlePageException(java.lang.Throwable t)

    - #### setRequest

          public void setRequest(ServletRequest servletRequest)

    - #### getRequest

          public ServletRequest getRequest()

    - #### getResponse

          public ServletResponse getResponse()

    - #### removeAttribute

          public void removeAttribute(java.lang.String s)

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String s,
                                               int i)

    - #### getServletConfig

          public ServletConfig getServletConfig()

    - #### initialize

          public void initialize(Servlet servlet,
                                 ServletRequest servletRequest,
                                 ServletResponse servletResponse,
                                 java.lang.String s,
                                 boolean b,
                                 int i,
                                 boolean b2)

    - #### findAttribute

          public java.lang.Object findAttribute(java.lang.String s)

    - #### getSession

          public HttpSession getSession()

    - #### setSession

          public void setSession(HttpSession httpSession)

    - #### setAttribute

          public void setAttribute(java.lang.String s,
                                   java.lang.Object o)

    - #### setAttribute

          public void setAttribute(java.lang.String s,
                                   java.lang.Object o,
                                   int i)

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String s)

    - #### getException

          public java.lang.Exception getException()

    - #### verify

          public void verify()

Copyright © 2002 Mock Objects. All Rights Reserved.